xine-lib: demux_plugin_s Struct Reference

xine-lib 1.2.12

Data Fields
demux_plugin_s Struct Reference

`#include <demux.h>`

## Data Fields
void(* | send_headers )(demux_plugin_t *this_gen)
int(* | seek )(demux_plugin_t *this_gen, off_t start_pos, int start_time, int playing)
int(* | send_chunk )(demux_plugin_t *this_gen)
void(* | dispose )(demux_plugin_t *this_gen)
int(* | get_status )(demux_plugin_t *this_gen)
int(* | get_stream_length )(demux_plugin_t *this_gen)
uint32_t(* | get_capabilities )(demux_plugin_t *this_gen)
int(* | get_optional_data )(demux_plugin_t *this_gen, void *data, int data_type)
demux_class_t * | demux_class
struct plugin_node_s *node | XINE_PRIVATE_FIELD
| Pointer to the loaded plugin node. More...

## Field Documentation

## ◆ demux_class

demux_class_t* demux_plugin_s::demux_class

Referenced by open_internal().

## ◆ dispose

void(* demux_plugin_s::dispose) (demux_plugin_t *this_gen)

Referenced by _x_free_demux_plugin().

## ◆ get_capabilities

uint32_t(* demux_plugin_s::get_capabilities) (demux_plugin_t *this_gen)

Referenced by _get_audio_lang(), _get_spu_lang(), demux_loop(), and xine_get_stream_info().

## ◆ get_optional_data

int(* demux_plugin_s::get_optional_data) (demux_plugin_t *this_gen, void *data, int data_type)

Referenced by _get_audio_lang(), _get_spu_lang(), and demux_loop().

## ◆ get_status

int(* demux_plugin_s::get_status) (demux_plugin_t *this_gen)

Referenced by demux_loop(), demux_unstick_ao_loop(), open_internal(), xine_get_next_audio_frame(), and xine_get_next_video_frame().

## ◆ get_stream_length

int(* demux_plugin_s::get_stream_length) (demux_plugin_t *this_gen)

Referenced by xine_get_pos_length().

## ◆ seek

int(* demux_plugin_s::seek) (demux_plugin_t *this_gen, off_t start_pos, int start_time, int playing)

Referenced by _x_demux_seek().

## ◆ send_chunk

int(* demux_plugin_s::send_chunk) (demux_plugin_t *this_gen)

Referenced by demux_loop().

## ◆ send_headers

void(* demux_plugin_s::send_headers) (demux_plugin_t *this_gen)

Referenced by open_internal().

## ◆ XINE_PRIVATE_FIELD

struct plugin_node_s* node demux_plugin_s::XINE_PRIVATE_FIELD

Pointer to the loaded plugin node.

Used by the plugins loader. It's an opaque type when using the structure outside of xine's build.

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/demux.h